> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get leaderboard (v2)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/leaderboard/{affinity}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v2/leaderboard/{affinity}:
    get:
      tags:
        - valorant
      summary: Get leaderboard (v2)
      operationId: leaderboard_v2
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: season
          in: query
          description: Season ID (optional)
          required: false
          schema:
            type: string
        - name: name
          in: query
          description: Player name to search for (optional)
          required: false
          schema:
            type: string
        - name: tag
          in: query
          description: Player tag to search for (optional)
          required: false
          schema:
            type: string
        - name: puuid
          in: query
          description: Player UUID to search for (optional)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Leaderboard retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaderboardV2Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Leaderboard not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    LeaderboardV2Response:
      type: object
      required:
        - last_update
        - next_update
        - total_players
        - radiant_threshold
        - immortal_3_threshold
        - immortal_2_threshold
        - immortal_1_threshold
        - players
      properties:
        immortal_1_threshold:
          type: integer
          format: int32
        immortal_2_threshold:
          type: integer
          format: int32
        immortal_3_threshold:
          type: integer
          format: int32
        last_update:
          type: integer
          format: int64
        next_update:
          type: integer
          format: int64
        players:
          type: array
          items:
            $ref: '#/components/schemas/LeaderboardPVPPlayer'
        radiant_threshold:
          type: integer
          format: int32
        total_players:
          type: integer
          format: int32
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    LeaderboardPVPPlayer:
      type: object
      required:
        - PlayerCardID
        - TitleID
        - IsBanned
        - IsAnonymized
        - gameName
        - tagLine
        - leaderboardRank
        - rankedRating
        - numberOfWins
        - competitiveTier
      properties:
        IsAnonymized:
          type: boolean
        IsBanned:
          type: boolean
        PlayerCardID:
          type: string
        TitleID:
          type: string
        competitiveTier:
          type: integer
          format: int32
          minimum: 0
        gameName:
          type: string
        leaderboardRank:
          type: integer
          format: int32
          minimum: 0
        numberOfWins:
          type: integer
          format: int32
          minimum: 0
        puuid:
          type:
            - string
            - 'null'
        rankedRating:
          type: integer
          format: int32
          minimum: 0
        tagLine:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0

````